#include <iostream>

using namespace std;

int main()
{
    int n, q, o = 0, p, k, w, l, r, x, i;
    bool d;
    cin>>n;
    int b[n];
    cin>>k;
    for (i = 1; i < n; i++)
    {
        cin>>p;
        if(p<k)
        {
            b[o] = i;
            o++;
        }
        k = p;
    }
    cin>>q;
    for (w = 0; w < q; w++)
    {
        cin>>l>>r;
        x = 0;
        d = true;
        if (r - l > 0)
        {
            for (i = 0; i < o; i++)
            {
                if(b[i] >= l && b[i] < r)
                {
                    x++;
                    if (x > 1)
                    {
                        d = false;
                        break;
                    }
                }
            }
        }
        if (d)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }
    return 0;
}